Page MenuHome

Crash on very simple physics scene baking
Closed, ResolvedPublic

Description

System Information
Windows 10, GTX 1070

Blender Version
Broken: Blender 2.8 Alpha 2,

Short description of error
Blender crashes when you try to bake physics, even with just one rigid body

Exact steps for others to reproduce the error

  1. Create a new scene
  2. With the cube selected, open the Physics tab and select Rigid Body
  3. Select the Scene tab, open the Rigid Body World panel
  4. Open the Cache panel, and press Bake

Instant crash. Here's the visual studio call stack etc ( note _Parent_proxy value in Locals tab )

NOTE: The slightly different method below ( if I create a Rigid Body world first, then add the object, then bake the cache ) I get a few different crash locations.
  1. Create a new scene
  2. In the Scene tab, select Rigid Body World and click the "Add Rigid Body World" tab.
  3. With the cube selected, open the Physics tab and select Rigid Body
  4. Re-select the Scene tab, open the Rigid Body World panel
  5. Open the Cache panel, and press Bake


Details

Type
Bug

Event Timeline

Philipp Oeser (lichtwerk) triaged this task as Confirmed, Medium priority.

Can confirm this, might have the same roots as T57598 (but not sure)
Also hitting the crash on yet another place (for the first method)

1  BKE_ptcache_id_time  pointcache.c      3229 0x28519c3 
2  BKE_rigidbody_rebuild_world   rigidbody.c       1613 0x285c3b1 
3  BKE_rigidbody_rebuild_sim rigidbody.c       1757 0x285c977 
4  std::__invoke_impl<void, void ( *&)(Depsgraph *, Scene *), Depsgraph *, Scene *&>  invoke.h          60   0x2bf64c7 
5  std::__invoke<void ( *&)(Depsgraph *, Scene *), Depsgraph *, Scene *&>  invoke.h          95   0x2bf5319 
6  std::_Bind<void ( *(std::_Placeholder<1>, Scene *))(Depsgraph *, Scene *)>::__call<void, Depsgraph *&&, 0ul, 1ul>(std::tuple<Depsgraph *&&>&&, std::_Index_tuple<0ul, 1ul>) functional        400  0x2bf3eed 
7  std::_Bind<void ( *(std::_Placeholder<1>, Scene *))(Depsgraph *, Scene *)>::operator()<Depsgraph *, void>(Depsgraph *&&)    functional        484  0x2bf23ef 
8  std::_Function_handler<void (Depsgraph *), std::_Bind<void ( *(std::_Placeholder<1>, Scene *))(Depsgraph *, Scene *)>>::_M_invoke(std::_Any_data const&, Depsgraph *&&)     std_function.h    297  0x2befbfb 
9  std::function<void (Depsgraph *)>::operator()(Depsgraph *) const std_function.h    687  0x2c06379 
10 DEG::deg_task_run_func  deg_eval.cc       94   0x2c05b0c 
11 BLI_task_pool_work_and_wait    task.c            893  0x2bcb413 
12 DEG::deg_evaluate_on_refresh   deg_eval.cc       315  0x2c062cb 
13 DEG_evaluate_on_refresh  depsgraph_eval.cc 70   0x2bdfac1 
14 BKE_scene_graph_update_tagged  scene.c           1426 0x2860646 
15 wm_event_do_depsgraph  wm_event_system.c 334  0x1944076

for the second method, I'm not getting crashes, but the bake will silently stop at varying frames (so doesnt go to 250 frames but stop when having 111 frames in memory, or 130, or whatever...)

@Sergey Sharybin (sergey): mind having a look?

Blender crashes also when try to bake cloth simulation, soft body, dynamic paint and particles.

version: 2.80 (sub 30), branch: blender2.8, commit date: 2018-11-06 08:57, hash: 32dca36afb1, type: Release
build date: 06/11/2018, 02:08
platform: Windows

Sergey Sharybin (sergey) closed this task as Resolved.Nov 15 2018, 5:27 PM

There is a lot of crashes fixed by rBd3c08b1aa62, which is also confirmed by artists here at the studio. I also can not reproduce the crash with steps in this report.

Surely, there are so many different configurations and solvers and some of them still might need some work, but that'd be easier if we'll have simple .blend files demonstrating those. So, if you still have crash, please submit new bug report. For until them considering physics as stable as it never was before in 2.8 :)

Hi Sergey,

I just tested, the bug is definitely fixed!